:root {
  --background-color: #fbf4e4;
  --color-1: #fb8300;
  --color-2: #004f35;
}

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500&family=Red+Hat+Mono:wght@300;400;500;600;700&display=swap");

@mixin h2 {
  font-family: "Red Hat Mono", monospace;
  color: var(--color-2);

  @media (max-width: 1200px) {
    font-size: 56px;
  }

  @media (max-width: 700px) {
    font-size: 48px;
  }

  @media (max-width: 450px) {
    font-size: 36px;
  }
}

@mixin p {
  font-family: "Poppins", sans-serif;
  color: var(--color-2);
  font-weight: 600;

  @media (max-width: 700px) {
    font-size: 24px;
  }

  @media (max-width: 450px) {
    font-size: 18px;
  }
}

h2 {
  @include h2;
}

p {
  @include p;
}

body {
  background-color: rgb(80, 117, 86);
}

.app {
  background-color: var(--background-color);
  width: 60%;
  padding: 10%;
  margin: 50px auto;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;

  // header
  &__header {
    width: 100%;

    & h2 {
      text-transform: uppercase;
    }
  }

  // body
  &__body {
    width: 100%;
  }

  &__contianer {
    margin: 20px 0px;
  }

  &__question {
    display: flex;
    justify-content: space-between;
    text-align: left;

    & p {
      width: 90%;
    }

    &--btn {
      width: 10%;
      background-color: transparent;
      border: none;
      cursor: pointer;
    }
  }

  &__answer {
    width: 100%;
    display: none;
    text-align: left;
  }

  &__btn--more {
    width: 40%;
    margin: 20px auto;
    padding: 20px 0px;
    border-radius: 40px;
    border: none;
    color: #fbf4e4;
    font-family: "Poppins", sans-serif;
    font-size: 18px;
    font-weight: 500;
    background-color: var(--color-1);
  }
}

.active {
  display: block !important;
}
